|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QStyleOptionHeader Class Reference

The QStyleOptionHeader class is used to describe the parameters for drawing a header. More...

    #include <QStyleOptionHeader>

Part of the QtGui module.

Inherits QStyleOption.

- List of all members, including inherited members

### Public Types

- enum SectionPosition { Beginning, Middle, End, OnlyOneSection }
- enum SelectedPosition { NotAdjacent, NextIsSelected, PreviousIsSelected, NextAndPreviousAreSelected }
- enum SortIndicator { None, SortUp, SortDown }

### Properties

- icon : const QIcon
- iconAlignment : const Qt::Alignment
- section : const int

- text : const QString
- textAlignment : const Qt::Alignment

- 5 properties inherited from QStyleOption

### Public Functions

- QStyleOptionHeader ()
- QStyleOptionHeader ( const QStyleOptionHeader & other )

- 2 public functions inherited from QStyleOption

## Detailed Description

The QStyleOptionHeader class is used to describe the parameters for drawing a header.

The QStyleOptionHeader class is used for drawing the item views' header pane, header sort arrow, and header label.

## Member Type Documentation

### enum QStyleOptionHeader::SectionPosition

### enum QStyleOptionHeader::SelectedPosition

### enum QStyleOptionHeader::SortIndicator

## Property Documentation

### icon : const QIcon

This property holds the icon of the header.

### iconAlignment : const Qt::Alignment

This property holds the alignment flags for the icon of the header.

See also Qt::Alignment.

### section : const int

This property holds which section of the header is being painted.

### text : const QString

This property holds the text of the header.

### textAlignment : const Qt::Alignment

This property holds the alignment flags for the text of the header.

See also Qt::Alignment.

## Member Function Documentation

### QStyleOptionHeader::QStyleOptionHeader ()

Constructs a QStyleOptionHeader. The members variables are initialized to default values.

### QStyleOptionHeader::QStyleOptionHeader ( const QStyleOptionHeader & other )